<!--
*Author：jxx
 *Contact：283591387@qq.com
 *代码由框架生成,任何更改都可能导致被代码生成器覆盖
 *业务请在@/extension/widesea_wcs/order/Dt_CheckOrder.js此处编写
 -->
<template>
  <view-grid
    ref="grid"
    :columns="columns"
    :detail="detail"
    :editFormFields="editFormFields"
    :editFormOptions="editFormOptions"
    :searchFormFields="searchFormFields"
    :searchFormOptions="searchFormOptions"
    :table="table"
    :extend="extend"
  >
  </view-grid>
</template>
<script>
import extend from "@/extension/check/checkOrder.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
  setup() {
    const table = ref({
      key: "checkOrderId",
      footer: "Foots",
      cnName: "检验单",
      name: "checkOrder",
      url: "/CheckOrder/",
      sortName: "checkOrderId",
    });
    const editFormFields = ref({});
    const editFormOptions = ref([]);
    const searchFormFields = ref({
      checkOrderNo: "",
      receiveOrderNo: "",
      checkOrderStatus: "",
      auditStatus: "",
      orderType: "0",
    });
    const searchFormOptions = ref([
      [
        { title: "检验单号", field: "checkOrderNo", type: "like" },
        { title: "收货单号", field: "receiveOrderNo", type: "like" },
        {
          title: "质检单状态",
          field: "checkOrderStatus",
          type: "select",
          dataKey: "checkOrderStatusEnum",
          data: [],
        },
      ],
      [
        { title: "收货单明细行号", field: "receiveDetailRowNo", type: "like" },
        { title: "物料编号", field: "materielCode", type: "like" },
        {
          title: "检验结果",
          field: "result",
          type: "select",
          dataKey: "checkAcceptEnum",
          data: [],
        },
      ],
      [
        {
          title: "上传状态",
          field: "UploadStatus",
          type: "select",
          dataKey: "checkUploadEnum",
          data: [],
        },
      ],
    ]);
    const columns = ref([
      {
        field: "checkOrderId",
        title: "主键",
        type: "int",
        width: 150,
        hidden: true,
        readonly: true,
        require: true,
        align: "left",
      },
      {
        field: "checkOrderNo",
        title: "检验单号",
        type: "string",
        width: 180,
        require: true,
        align: "left",
      },
      {
        field: "orderType",
        title: "检验单类型",
        type: "string",
        width: 120,
        align: "left",
        bind: { key: "checkTypeEnum", data: [] },
      },
      {
        field: "receiveOrderNo",
        title: "收货单号",
        type: "string",
        width: 180,
        require: true,
        align: "left",
      },
      {
        field: "warehouseId",
        title: "仓库",
        type: "string",
        width: 90,
        align: "left",
        bind: { key: "warehouses", data: [] },
      },
      //    {field:'auditStatus',title:'审批状态',type:'int',width:110,require:true,align:'left'},
      {
        field: "receiveDetailRowNo",
        title: "收货明细行",
        type: "int",
        width: 100,
        require: true,
        align: "left",
      },
      {
        field: "materielCode",
        title: "物料编号",
        type: "string",
        width: 110,
        require: true,
        align: "left",
      },
      {
        field: "materielSpec",
        title: "物料规格",
        type: "select",
        type: "string",
        width: 160,
        align: "left",
      },
      {
        field: "lotNo",
        title: "批次号",
        type: "string",
        width: 150,
        require: true,
        align: "left",
      },
      {
        field: "checkOrderStatus",
        title: "质检单状态",
        type: "string",
        width: 110,
        require: true,
        align: "left",
        bind: { key: "checkOrderStatusEnum", data: [] },
      },
      {
        field: "qualifiedQuantity",
        title: "合格数量",
        type: "float",
        width: 110,
        align: "left",
      },
      {
        field: "returnQuantity",
        title: "退货数量",
        type: "float",
        width: 110,
        align: "left",
      },
      {
        field: "receivedQuantity",
        title: "检验总数",
        type: "float",
        width: 110,
        require: true,
        align: "left",
      },
      {
        field: "unit",
        title: "单位",
        type: "string",
        width: 90,
        align: "left",
      },
      {
        field: "result",
        title: "检验判断",
        type: "string",
        width: 120,
        align: "left",
        bind: { key: "checkAcceptEnum", data: [] },
      },
      {
        field: "uploadStatus",
        title: "上传状态",
        type: "string",
        width: 100,
        align: "left",
        bind: { key: "checkUploadEnum", data: [] },
      },
      //    {field:'defectedNote',title:'特采说明',type:'string',width:110,align:'left'},
      {
        field: "checkUserName",
        title: "检验人",
        type: "string",
        width: 110,
        align: "left",
      },
      // {
      //   field: "creater",
      //   title: "创建者",
      //   type: "string",
      //   width: 110,
      //   require: true,
      //   align: "left",
      // },
      {
        field: "createDate",
        title: "创建时间",
        type: "datetime",
        width: 180,
        require: true,
        align: "left",
      },
      //    {field:'modifier',title:'修改人',type:'string',width:100,align:'left'},
      //    {field:'modifyDate',title:'修改日期',type:'datetime',width:150,align:'left',sort:true}
    ]);
    const detail = ref({
      cnName: "检验结果",
      table: "CheckOrderResult",
      columns: [
        {
          field: "id",
          title: "主键",
          type: "int",
          width: 110,
          hidden: true,
          readonly: true,
          require: true,
          align: "left",
        },
        {
          field: "checkOrderId",
          title: "检验单主键",
          type: "int",
          width: 110,
          require: true,
          align: "left",
          sort: true,
        },
        {
          field: "defectCode",
          title: "缺陷代码",
          type: "string",
          width: 110,
          require: true,
          align: "left",
        },
        {
          field: "result",
          title: "检验结果",
          type: "string",
          width: 110,
          require: true,
          align: "left",
        },
        {
          field: "quantity",
          title: "数量",
          type: "float",
          width: 110,
          require: true,
          align: "left",
        },
        {
          field: "note",
          title: "备注",
          type: "string",
          width: 220,
          align: "left",
        },
        {
          field: "creater",
          title: "创建者",
          type: "string",
          width: 110,
          require: true,
          align: "left",
        },
        {
          field: "createDate",
          title: "创建时间",
          type: "datetime",
          width: 150,
          require: true,
          align: "left",
          sort: true,
        },
        {
          field: "modifier",
          title: "修改人",
          type: "string",
          width: 100,
          align: "left",
        },
        {
          field: "modifyDate",
          title: "修改日期",
          type: "datetime",
          width: 150,
          align: "left",
          sort: true,
        },
      ],
      sortName: "id",
      key: "id",
    });
    return {
      table,
      extend,
      editFormFields,
      editFormOptions,
      searchFormFields,
      searchFormOptions,
      columns,
      detail,
    };
  },
});
</script>
